package com.adealink.weparty.setting

import androidx.fragment.app.FragmentManager
import com.adealink.frame.spi.RegisterService
import com.adealink.weparty.module.setting.ISettingService
import com.adealink.weparty.module.setting.Setting
import com.adealink.weparty.setting.language.LanguageSettingDialog

@RegisterService(ISettingService::class)
class SettingServiceImpl : ISettingService {

    override fun showLanguageSettingDialog(fragmentManager: FragmentManager) {
        LanguageSettingDialog().show(fragmentManager, Setting.Language.PATH)
    }

    override fun getService(): ISettingService {
        return this
    }

    override fun logout() {

    }


}